net.corda.core.contracts

## Class Requirements

- net.corda.core.contracts.Requirements

-     public class Requirements

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Requirements` | `INSTANCE`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `by(java.lang.String $receiver, boolean expr)`

- - ### Field Detail

    - #### INSTANCE

          public static Requirements INSTANCE

  - ### Method Detail

    - #### by

          public void by(java.lang.String $receiver,
                         boolean expr)